Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class SOAPFaultBuilder

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          org.apache.axis.message.SOAPHandler
              org.apache.axis.message.SOAPFaultBuilder

All Implemented Interfaces:
  Callback, ContentHandler, DTDHandler, EntityResolver, ErrorHandler

public class SOAPFaultBuilder
extends SOAPHandler
implements Callback

Build a Fault body element.

Author:
  Sam Ruby (rubys@us.ibm.com), Glen Daniels (gdaniels@apache.org), Tom Jordahl (tomj@macromedia.com)

Field Summary
`protected SOAPFaultCodeBuilder` | `code`
`protected DeserializationContext` | `context`
`protected SOAPFaultImpl` | `element`
`protected String` | `faultActor`
`protected Class` | `faultClass`
`protected javax.xml.namespace.QName` | `faultCode`
`protected Object` | `faultData`
`protected Element[]` | `faultDetails`
`protected String` | `faultNode`
`protected String` | `faultString`
`protected javax.xml.namespace.QName[]` | `faultSubCode`

Fields inherited from class org.apache.axis.message.SOAPHandler
`myElement`

Constructor Summary
`SOAPFaultBuilder(SOAPFaultImpl element, DeserializationContext context)`

Method Summary
`void` | `endElement(String namespace, String localName, DeserializationContext context)` Final call back where we can populate the exception with data.
`void` | `onEndChild(String namespace, String localName, DeserializationContext context)`
`SOAPHandler` | `onStartChild(String namespace, String name, String prefix, Attributes attributes, DeserializationContext context)`
`void` | `setFaultClass(Class faultClass)`
`void` | `setValue(Object value, Object hint)`
`void` | `startElement(String namespace, String localName, String prefix, Attributes attributes, DeserializationContext context)`

Methods inherited from class org.apache.axis.message.SOAPHandler
`makeNewElement`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### element

    protected SOAPFaultImpl element

### context

    protected DeserializationContext context

### faultCode

    protected javax.xml.namespace.QName faultCode

### faultSubCode

    protected javax.xml.namespace.QName[] faultSubCode

### faultString

    protected String faultString

### faultActor

    protected String faultActor

### faultDetails

    protected Element[] faultDetails

### faultNode

    protected String faultNode

### code

    protected SOAPFaultCodeBuilder code

### faultClass

    protected Class faultClass

### faultData

    protected Object faultData

Constructor Detail

### SOAPFaultBuilder

    public SOAPFaultBuilder(SOAPFaultImpl element,
                            DeserializationContext context)

Method Detail

### startElement

    public void startElement(String namespace,
                             String localName,
                             String prefix,
                             Attributes attributes,
                             DeserializationContext context)
                      throws SAXException

  Overrides:
    `startElement` in class `SOAPHandler`
  Throws:
    `SAXException`

### setFaultClass

    public void setFaultClass(Class faultClass)

### endElement

    public void endElement(String namespace,
                           String localName,
                           DeserializationContext context)
                    throws SAXException

  Final call back where we can populate the exception with data.

  Overrides:
    `endElement` in class `SOAPHandler`
  Throws:
    `SAXException`

### onStartChild

    public SOAPHandler onStartChild(String namespace,
                                    String name,
                                    String prefix,
                                    Attributes attributes,
                                    DeserializationContext context)
                             throws SAXException

  Overrides:
    `onStartChild` in class `SOAPHandler`
  Throws:
    `SAXException`

### onEndChild

    public void onEndChild(String namespace,
                           String localName,
                           DeserializationContext context)
                    throws SAXException

  Overrides:
    `onEndChild` in class `SOAPHandler`
  Throws:
    `SAXException`

### setValue

    public void setValue(Object value,
                         Object hint)

  Specified by:
    `setValue` in interface `Callback`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.